From: Greg KH <greg@kroah.com>
To: torvalds@transmeta.com
Cc: linux-usb-devel@lists.sourceforge.net
Subject: [PATCH 4 of 6] USB EHCI slab poisoning

Hi,

Here's a patch against 2.5.3-pre5 that makes the EHCI USB driver rely on
the CONFIG_DEBUG_SLAB config item to turn on slab poisoning.  This patch
was done by David Brownell.

thanks,

greg k-h



diff -Nru a/drivers/usb/hcd/ehci-hcd.c b/drivers/usb/hcd/ehci-hcd.c
--- a/drivers/usb/hcd/ehci-hcd.c	Fri Jan 25 10:29:58 2002
+++ b/drivers/usb/hcd/ehci-hcd.c	Fri Jan 25 10:29:58 2002
@@ -86,7 +86,7 @@
 // #define EHCI_VERBOSE_DEBUG
 // #define have_iso
 
-#ifdef	DEBUG
+#ifdef	CONFIG_DEBUG_SLAB
 #	define	EHCI_SLAB_FLAGS		(SLAB_POISON)
 #else
 #	define	EHCI_SLAB_FLAGS		0

